package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishRecords;
import com.ruoyi.syzy.dto.SubmitWishRecordDTO;

/**
 * 志愿记录Service接口
 * 
 * @author mingxue
 * @date 2021-08-23
 */
public interface IBBusiWishRecordsService {
    /**
     * 查询志愿记录
     * 
     * @param id 志愿记录ID
     * @return 志愿记录
     */
    public BBusiWishRecords selectBBusiWishRecordsById(Long id);

    /**
     * 查询志愿记录列表
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 志愿记录集合
     */
    public List<BBusiWishRecords> selectBBusiWishRecordsList(BBusiWishRecords bBusiWishRecords);

    /**
     * 志愿保存
     * 
     * @param data
     */
    public void save(SubmitWishRecordDTO data);

    /**
     * 新增志愿记录
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 结果
     */
    public int insertBBusiWishRecords(BBusiWishRecords bBusiWishRecords);

    /**
     * 修改志愿记录
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 结果
     */
    public int updateBBusiWishRecords(BBusiWishRecords bBusiWishRecords);

    /**
     * 批量删除志愿记录
     * 
     * @param ids 需要删除的志愿记录ID
     * @return 结果
     */
    public int deleteBBusiWishRecordsByIds(Long[] ids);

    /**
     * 删除志愿记录信息
     * 
     * @param id 志愿记录ID
     * @return 结果
     */
    public int deleteBBusiWishRecordsById(Long id);

}
